[MECH/FUN] PVPGunPlus v1.0 - NOSPOUT - GunPack alternative [1.5.2]

Discussion in 'Archived: Plugin Releases' started by orange451, Feb 23, 2012.

  1. Offline

    orange451

    You need to enable right click fire (read the main post).
    The only way (in pure bukkit) to have a full auto weapon is to use right click firing.

    nhoclesnar
    I reworked some coding PVPGun. Instead of creating a new damage event when a snowball hits a player, I use the current one. Tell me if it works for you now. It still works for me :)

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 24, 2016 at 2:28 PM
  2. Offline

    nhoclesnar

    It works now; works perfectly! Thank you so much for fixing it :D
     
  3. Offline

    sillyrobert567

    every time i boot up my server this comes up:

    15:30:21 [INFO] While loading PVPGun (plugins/pvpgun.jar) found old-data folder: plugins/pvpgun next to the new one: plugins/PVPGun
    15:30:22 [SEVERE] Could not load 'plugins/pvpgun.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/orange451/PVPGun/main : Unsupported major.minor version 51.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:154)
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:305)
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:230)
    at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:229)
    at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:205)
    at net.minecraft.server.ServerConfigurationManagerAbstract.<init>(ServerConfigurationManagerAbstract.java:51)
    at net.minecraft.server.ServerConfigurationManager.<init>(SourceFile:11)
    at net.minecraft.server.DedicatedServer.init(DedicatedServer.java:105)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:400)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:818)
    Caused by: java.lang.UnsupportedClassVersionError: com/orange451/PVPGun/main : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:44)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:29)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:247)
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:143)
    ... 9 more
    i really want to use your plugin please help (by the way im on mac)
     
  4. Offline

    orange451

    You're running an outdated version of Java.
     
  5. Offline

    sillyrobert567

    do you know any way to update it without purchasing mountain lion?
     
  6. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

    You can't possibly expect all your users to be on 1.7. Plenty of server providers run on 1.6. CraftBukkit is built for 1.5. The least you can do is build against 1.6 for most users.
     
  7. Offline

    nhoclesnar

    Java 7 is free, and is faster. Most server hosts that I know use Java 7 anyway. Even if you host at home, then why not Java 7; I see no harm in it. Similarly, I'm sure almost no one will want to play minecraft 1.4.2 when 1.4.3 bug fix version comes out.

    orange451 Check out this great plugin. Now we can actually have real guns and bullets :)

    EDIT: Oh orange451, can you please add support for AntiCheat? Apparently NoCheatPlus is much more complicated and isn't much more effective than AntiCheat. More people are using AntiCheat than NoCheatPlus.

    You just need to add a few lines of code into the plugin. Read this simple API Documentation for more info; and you can get rid of NoCheatPlus dependency if you wish, because the code is outdated anyway. The check you should exempt is no swing. It should look something like this.
    AnticheatAPI.exemptPlayer(player, CheckType.NO_SWING)
     
  8. Offline

    Mikirog

    PermissionsEx is an newest version and no console errors. After plugin updates it is working corretly. New problems I met. I can't make new guns.
     
  9. Offline

    orange451

    I've already created something like this for my war server :p
    I'll probably end up copying my code into this plugin.

    Well are the guns loading in the console? Did you even create a new gun properly? ;x
     
  10. Offline

    FInalaoh

    Dear Orange.

    I have read numerous reports of this plugin being broken. I would like to let you know, that despite all the anger and frustration from many people, I find this plugin to be perfect. It works absolutely amazing with everything I have on my server. Bravo to you Orange, good job. I just have one question, when I go to save a new gun, what type of file is it? Yaml?
     
  11. Offline

    orange451

    Thanks for enjoying the plugin :)
    There is no file type associated with my gun files. I made my own configuration loader for the plugin, that just reads from any extension-less text file.
     
  12. Offline

    sillyrobert567

    dude im still having problems i upgraded my mac to mountain lion and it still wont work. this is what it says:

    17:53:35 [INFO] Starting minecraft server version 1.4.2
    17:53:35 [INFO] Loading properties
    17:53:35 [INFO] Default game type: SURVIVAL
    17:53:35 [INFO] Generating keypair
    17:53:35 [INFO] Starting Minecraft server on 5.164.91.231:25565
    17:53:36 [INFO] This server is running CraftBukkit version git-Bukkit-1.4.2-R0.2-b2455jnks (MC: 1.4.2) (Implementing API version 1.4.2-R0.2)
    17:53:36 [INFO] While loading PVPGun (plugins/pvpgun.jar) found old-data folder: plugins/pvpgun next to the new one: plugins/PVPGun
    17:53:36 [SEVERE] Could not load 'plugins/pvpgun.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/orange451/PVPGun/main : Unsupported major.minor version 51.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:154)
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:305)
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:230)
    at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:229)
    at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:205)
    at net.minecraft.server.ServerConfigurationManagerAbstract.<init>(ServerConfigurationManagerAbstract.java:51)
    at net.minecraft.server.ServerConfigurationManager.<init>(SourceFile:11)
    at net.minecraft.server.DedicatedServer.init(DedicatedServer.java:105)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:400)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:818)
    Caused by: java.lang.UnsupportedClassVersionError: com/orange451/PVPGun/main : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:44)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:29)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:247)
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:143)
    ... 9 more
    17:53:36 [INFO] [PermissionsEx] sql backend registered!
    17:53:36 [INFO] [PermissionsEx] file backend registered!
    17:53:36 [INFO] [PermissionsEx] PermissionEx plugin initialized.
    17:53:36 [INFO] [PermissionsEx] Loading PermissionsEx v1.19.4
    17:53:36 [INFO] [PermissionsEx] Initializing file backend
    17:53:36 [INFO] Preparing level "world"
    17:53:36 [INFO] Preparing start region for level 0 (Seed: -2445502247631308652)
    17:53:37 [INFO] Preparing spawn area: 60%
    17:53:38 [INFO] [PermissionsEx] Enabling PermissionsEx v1.19.4
    17:53:38 [INFO] [PermissionsEx] Superperms support enabled.
    17:53:38 [INFO] [PermissionsEx] v1.19.4 enabled
    17:53:38 [INFO] Server permissions file permissions.yml is empty, ignoring it
    17:53:38 [INFO] Done (2.022s)! For help, type "help" or "?"
    >
    can you help?
     
  13. Offline

    orange451

    I would imagine upgrading your mac and downloading the newest Java are two different things.
     
  14. Offline

    9berend9

    Help!
    I tried to set coloured dyes as guns, for instance using the ID '351:6'. 351 being 'dye' and :6 meaning its colour. The guns don't appear to work when using an ID made up with a ':', or am I formatting it the wrong way?
     
  15. Offline

    Mikirog

    File created propely. Maybe plugin didn't load new guns?
     
  16. Offline

    sillyrobert567

    i did both dude, you have to upgrade your mac to upgrade your java. maybe i can figure it out, thanks for the help.
    but i have one question: do you need to set up permissions in order to run the plugin?
    by the way I'm running java 7 update 9
    is that the correct java?
     
  17. Offline

    9berend9

    Anyone?
     
  18. Offline

    sillyrobert567

    i cant even load the plugin :(
     
  19. Offline

    garan2314

    Something's wrong.
    [PVPGun] Plugin PVPGun v0.2 has failed to register events for class com.orange451.PVPGun.NoCheatAPI because fr/neatmonster/nocheatplus/checks/fight/NoswingCheck$NoswingCheckEvent does not exist.
     
  20. Offline

    nhoclesnar

    Are you using NoCheatPlus? If you are not, then just ignore that message. As I said above, the API for NoCheatPlus changed, therefore this plugin's support for it is broken as well.
     
  21. Offline

    orange451

    If you do not have permissions, it will default to the op. If you do have permissions, use Pex.

    yes, guns don't support items with different data values.
     
  22. Offline

    sillyrobert567

    is that the right java though?
     
  23. Offline

    XxpurplekongxX

    Hey the developer I am thinking of making a SPEACIAL server and I need a guy like you to help with the coding could you add my skype : tyler.pilon2 and well talk futher thanks
     
  24. Offline

    Enriaz

    Thanks for fixing the armor bug, this plugin will be a very great asset to my server. We've got 11 different guns configured already.
     
  25. Finally got this plugin to work, I found out you need to install JDK 7u9 :p
     
  26. Offline

    sillyrobert567

    I DID IT IM SOOOOOO HAPPY! but how do you enable right click fire?
     
  27. Add the following line to each gun/grenade: rightclickfire=true
     
  28. Offline

    9berend9

    Damn :/ Any way to fix that in the near future? It would fix the problem of 'What unused items should be guns?'
     
  29. Offline

    sillyrobert567

    thanks so much it worked :D
     
  30. Sadly, no :(
     

Share This Page